.user_permissions
  display: flex

.permission_level_label
  padding-left: .5em 
  &:not(:last-of-type)
    margin-right: 4px
  border-radius: 3px
  background: #f2f2f2
  color: #333
  font-weight: bold

.permission_level_label__level
  display: inline-block
  padding: .15em .5em
  text-align: center
  margin-left: .4em
  background: transparentize(white, .8)

$permission-colors: ("mm": $color-blue, "tm": $color-green, "dm": $color-pink)

@each $type, $color in $permission-colors
  .permission_level_label--#{$type}
    &.permission_level_label--level-1
      color: darken($color, 20%)
      background-color: lighten($color, 35%)
    &.permission_level_label--level-2
      color: white
      background-color: lighten($color, 15%)
    &.permission_level_label--level-3
      color: white
      background-color: lighten($color, 0%)
